Schedule
This endpoint is used to create, update, search or delete schedules for a particular workspace inside an organization, this is useful when you need to create schedule task or running jobs in a particular time.
Entity fields:
data.type
string
Should be "template"
data.attributes.cron
string
Cron expression to schedule a job inside a workspace. For more information please visit Quartz documentation.
data.attributes.tcl
string
Terrakube configuration language in base64
data.attributes.templateReference
string
Terrakube template id
Example:
{
"data": {
"type": "schedule",
"attributes": {
"cron": "0 0/1 * * * ?",
"tcl": "{{templateSample}}"
}
}
}Supported Operations
Returns the relationship schedule
workspace Identifier
Filters the collection of schedule using a 'disjoint' RSQL expression
Number of pages to return. Can be used with page[size]
Number of elements per page. Can be used with page[number]
Offset from 0 to start paginating. Can be used with page[limit]
Maximum number of items to return. Can be used with page[offset]
For requesting total pages/records be included in the response page meta data
Successful response
GET /api/v1/workspace/{workspaceId}/schedule HTTP/1.1
Accept: */*
Successful response
{
"data": [],
"included": [
{
"attributes": {},
"id": "text",
"relationships": {},
"type": "text"
}
]
}Creates an item of type schedule and adds it to schedule
workspace Identifier
Successful response
POST /api/v1/workspace/{workspaceId}/schedule HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 324
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"cron": "text",
"description": "text",
"enabled": true,
"tcl": "text",
"templateReference": "text",
"updatedBy": "text",
"updatedDate": "2026-01-01T00:00:00.000Z"
},
"relationships": {
"workspace": {
"id": "text",
"type": "workspace"
}
}
}
}Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"cron": "text",
"description": "text",
"enabled": true,
"tcl": "text",
"templateReference": "text",
"updatedBy": "text",
"updatedDate": "2026-01-01T00:00:00.000Z"
},
"relationships": {
"workspace": {
"id": "text",
"type": "workspace"
}
}
}
}Deletes an instance of type schedule
workspace Identifier
schedule Identifier
Successful response
No content
DELETE /api/v1/workspace/{workspaceId}/schedule/{scheduleId} HTTP/1.1
Accept: */*
Successful response
No content
Modifies an instance of type schedule
workspace Identifier
schedule Identifier
Successful response
No content
PATCH /api/v1/workspace/{workspaceId}/schedule/{scheduleId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 324
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"cron": "text",
"description": "text",
"enabled": true,
"tcl": "text",
"templateReference": "text",
"updatedBy": "text",
"updatedDate": "2026-01-01T00:00:00.000Z"
},
"relationships": {
"workspace": {
"id": "text",
"type": "workspace"
}
}
}
}Successful response
No content
Returns an instance of type schedule
workspace Identifier
schedule Identifier
Successful response
GET /api/v1/workspace/{workspaceId}/schedule/{scheduleId} HTTP/1.1
Accept: */*
Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"cron": "text",
"description": "text",
"enabled": true,
"tcl": "text",
"templateReference": "text",
"updatedBy": "text",
"updatedDate": "2026-01-01T00:00:00.000Z"
},
"relationships": {
"workspace": {
"id": "text",
"type": "workspace"
}
}
},
"included": [
{
"attributes": {},
"id": "text",
"relationships": {},
"type": "text"
}
]
}Last updated
Was this helpful?